List Campaign groups

List Campaign groups

GET https://api.ocamba.com/api/v1/adex/campaign-groups
Returns a list of Campaign groups

Tip
If you don’t know the campaign group id, list the campaign groups to find it. Searchable fields are name and id. Sortable fields are name and id.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Query parameters

parameters

Response schemas

curl -X GET \
 "https://api.ocamba.com/api/v1/adex/campaign-groups" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/api/v1/adex/campaign-groups';
const options = {
  method: 'GET',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/api/v1/adex/campaign-groups");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

200 OK

{
  "total": 2,
  "items": [
    {
      "id": "103",
      "name": "My-group",
      "color": "#00efa7",
      "campaign_count": "8",
      "create_time": "2021-09-29 15:40:10"
    }
  ]
}

400 Bad Request

500 Internal Server Error

Responses